﻿using FileSplitter.Shared.Interfaces;

namespace FileSplitter.Shared.Classes;

/// <summary>
/// Информация о целевом файле
/// </summary>
public class TargetFileInfo: ITargetFileInfo
{
    /// <summary>
    /// Имя файла
    /// </summary>
    public string? FileName { get; set; }

    /// <summary>
    /// Размер файла
    /// </summary>
    public long FileSize { get; set; }

    /// <summary>
    /// md5-сумма файла для проверки
    /// </summary>
    public byte[]? FileHash { get; set; }

    /// <summary>
    /// Количество частей
    /// </summary>
    public byte SplitCount { get; set; }
}